@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

/* --- Krub Regular / Medium / Bold / SemiBold / Light / ExtraLight --- */

/* Regular */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

/* Italic */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-Italic.ttf') format('truetype');
    font-weight: 400;
    font-style: italic;
}

/* Bold */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

/* Bold Italic */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-BoldItalic.ttf') format('truetype');
    font-weight: 700;
    font-style: italic;
}

/* SemiBold */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

/* SemiBold Italic */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-SemiBoldItalic.ttf') format('truetype');
    font-weight: 600;
    font-style: italic;
}

/* Medium */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}

/* Medium Italic */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-MediumItalic.ttf') format('truetype');
    font-weight: 500;
    font-style: italic;
}

/* Light */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

/* Light Italic */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-LightItalic.ttf') format('truetype');
    font-weight: 300;
    font-style: italic;
}

/* ExtraLight */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-ExtraLight.ttf') format('truetype');
    font-weight: 200;
    font-style: normal;
}

/* ExtraLight Italic */
@font-face {
    font-family: 'Krub';
    src: url('/fonts/Krub/Krub-ExtraLightItalic.ttf') format('truetype');
    font-weight: 200;
    font-style: italic;
}


#Autoconsumo {
    transform: scale(0.5); /* Aumenta el tamaño del checkbox */
}

#CheckPagador {
    transform: scale(0.5); /* Aumenta el tamaño del checkbox */
}

/* Reset básico */
html {
    height: 100% !important;
    margin: 0 !important;
    padding: 0 !important;
}


/* Fondo de pantalla forzado */
body {
    background-image: url('/images/Fons_Portal 3.png') !important; /* desde wwwroot/images */
    background-repeat: no-repeat !important;
    background-position: center center !important;
    background-size: cover !important;
    background-attachment: fixed !important;
    font-family: 'Krub', Verdana, Geneva, Tahoma, sans-serif !important;
    color: aquamarine !important; /* COLOR DEL TEXTO */
    font-size: 1.35rem;
    background-color: black !important;
}

    /* Si quieres un leve efecto para textos legibles */
    body::after {
        content: "";
        position: fixed;
        inset: 0;
        background-color: rgba(255, 255, 255, 0.15); /* capa blanca semitransparente */
        pointer-events: none;
        z-index: 0;
    }

em, i {
    font-family: 'Krub', sans-serif !important;
    font-style: italic !important;
}

/* Inputs de tipo texto, select y textarea en negro */
input[type="text"],
input[type="number"],
input[type="email"],
input[type="tel"],
textarea,
select {
    color: black !important;
    background-color: white !important; /* Para que contraste con el fondo negro */
}

    /* Opcional: placeholders también en gris oscuro */
    input::placeholder,
    textarea::placeholder {
        color: #333 !important;
    }

label {
    font-size:14px!important;
}

.contract{
    background-color:transparent!important;
}

.nav-tabs {
    margin-bottom: 10px; /* Reduce el espacio debajo del ul */
}

    .nav-tabs > li > a {
        padding: 6px 12px; /* Ajusta altura y ancho de cada tab */
        font-size: 0.9rem; /* Hace el texto un poco más pequeño */
    }

    .nav-tabs > li.active > a {
        color: white !important;
        background-color:#153b50 !important;
        border-color: aquamarine !important;
    }


.form-control:focus {
    color: aquamarine;
    background-color: #fff;
    border-color: #80bdff;
    
    outline: 0;
    box-shadow: 0 0 0 0rem rgba(0,123,255,.25)
}

.btn-secondary:focus {
    box-shadow: 0 0 0 0rem rgba(108,117,125,.5)
}

.close:focus {
    box-shadow: 0 0 0 0rem rgba(108,117,125,.5)
}

/* Estilos para el loader */
#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8); /* Fondo blanco semitransparente */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Animación circular para el loader */
.spinner {
    border: 8px solid #f3f3f3; /* Color del fondo del círculo */
    border-top: 8px solid #3498db; /* Color de la parte superior (el color del spinner) */
    border-radius: 50%;
    position: fixed;
    top: 50%; /* Posiciona el spinner en el centro vertical */
    left: 50%; /* Posiciona el spinner en el centro horizontal */
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

/* Definición de la animación de giro */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
.modal-backdrop {
    background-color: transparent;
}
.custom-modal-header {
    background-color: #153b50;
    border-bottom: none;
    position: relative;
}

    .custom-modal-header .modal-title {
        color: aquamarine;
    }

.custom-close {
    position: absolute;
    top: 10px;
    right: 14px;
    padding: 0;
    margin: 0;
    opacity: 1;
}

    .custom-close span {
        font-size: 2rem;
        font-weight: 900;
        color: #000;
        line-height: 1;
    }

    .custom-close:hover span {
        color: #000;
    }
